Bug 1281448 - RBAC:unable to login when the user have access to only Red Hat Insights feature [NEEDINFO]
RBAC:unable to login when the user have access to only Red Hat Insights feature
Status: CLOSED CURRENTRELEASE
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.7.0
Assigned To: Jozef Zigmund
Aziza Karol
rbac
: TestOnly, ZStream
Depends On:
Blocks: 1348642
  Show dependency treegraph
 
Reported: 2015-11-12 09:46 EST by Aziza Karol
Modified: 2017-01-11 23:56 EST (History)
7 users (show)

See Also:
Fixed In Version: 5.7.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1348642 (view as bug list)
Environment:
Last Closed: 2017-01-11 15:08:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dclarizi: needinfo? (dajohnso)


Attachments (Terms of Use)
login failed (44.68 KB, image/png)
2015-11-12 09:46 EST, Aziza Karol
no flags Details

  None (edit)
Description Aziza Karol 2015-11-12 09:46:42 EST
Created attachment 1093319 [details]
login failed

Description of problem:


Version-Release number of selected component (if applicable):
5.5.0.10

How reproducible:
100%

Steps to Reproduce:
1.create a role having access to only Red Hat Insights feature
2.create a group with the above role
3.create user using the above group
4.Try login

Actual results:
user is unable to login.see attached screenshot.
when the user tries to relogin error is thrown in production log

Expected results:


Additional info:
production.log
[----] I, [2015-11-12T09:45:14.604311 #2910:bfd998]  INFO -- : Started POST "/dashboard/authenticate?button=login&method=post" for 127.0.0.1 at 2015-11-12 09:45:14 -0500
[----] I, [2015-11-12T09:45:14.605713 #2910:bfd998]  INFO -- : Processing by DashboardController#authenticate as JS
[----] I, [2015-11-12T09:45:14.605895 #2910:bfd998]  INFO -- :   Parameters: {"user_name"=>"test", "user_password"=>"[FILTERED]", "browser_name"=>"Firefox", "browser_version"=>"30", "browser_os"=>"Linux", "user_TZO"=>"5.5", "button"=>"login", "method"=>"post"}
[----] W, [2015-11-12T09:45:14.607061 #2910:bfd998]  WARN -- : Can't verify CSRF token authenticity
[----] F, [2015-11-12T09:45:14.607464 #2910:bfd998] FATAL -- : Error caught: [ActionController::InvalidAuthenticityToken] ActionController::InvalidAuthenticityToken
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_controller/metal/request_forgery_protection.rb:181:in `handle_unverified_request'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_controller/metal/request_forgery_protection.rb:209:in `handle_unverified_request'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_controller/metal/request_forgery_protection.rb:204:in `verify_authenticity_token'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/callbacks.rb:432:in `block in make_lambda'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/callbacks.rb:145:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/callbacks.rb:145:in `block in halting_and_conditional'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/callbacks.rb:504:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/callbacks.rb:504:in `block in call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/callbacks.rb:504:in `each'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/callbacks.rb:504:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/callbacks.rb:92:in `__run_callbacks__'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/callbacks.rb:778:in `_run_process_action_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/callbacks.rb:81:in `run_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/abstract_controller/callbacks.rb:19:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_controller/metal/rescue.rb:29:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_controller/metal/instrumentation.rb:32:in `block in process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/notifications/instrumenter.rb:20:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_controller/metal/instrumentation.rb:30:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_controller/metal/params_wrapper.rb:250:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activerecord/lib/active_record/railties/controller_runtime.rb:18:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/abstract_controller/base.rb:137:in `process'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionview/lib/action_view/rendering.rb:30:in `process'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_controller/metal.rb:196:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_controller/metal/rack_delegation.rb:13:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_controller/metal.rb:237:in `block in action'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/routing/route_set.rb:76:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/routing/route_set.rb:76:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/routing/route_set.rb:45:in `serve'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/journey/router.rb:43:in `block in serve'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/journey/router.rb:30:in `each'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/journey/router.rb:30:in `serve'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/routing/route_set.rb:817:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/etag.rb:24:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/conditionalget.rb:38:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/head.rb:13:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/middleware/params_parser.rb:27:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/middleware/flash.rb:260:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/session/abstract/id.rb:225:in `context'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/session/abstract/id.rb:220:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/middleware/cookies.rb:560:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activerecord/lib/active_record/query_cache.rb:36:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activerecord/lib/active_record/connection_adapters/abstract/connection_pool.rb:653:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/middleware/callbacks.rb:29:in `block in call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/callbacks.rb:88:in `__run_callbacks__'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/callbacks.rb:778:in `_run_call_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/callbacks.rb:81:in `run_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/middleware/callbacks.rb:27:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/middleware/remote_ip.rb:78:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/middleware/debug_exceptions.rb:17:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/railties/lib/rails/rack/logger.rb:38:in `call_app'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/railties/lib/rails/rack/logger.rb:22:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/middleware/request_id.rb:21:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/methodoverride.rb:22:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/runtime.rb:18:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/activesupport/lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/lock.rb:17:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/middleware/static.rb:116:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/actionpack/lib/action_dispatch/middleware/static.rb:116:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/sendfile.rb:113:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/railties/lib/rails/engine.rb:518:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/railties/lib/rails/application.rb:165:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/content_length.rb:15:in `call'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:86:in `block in pre_process'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:84:in `catch'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:84:in `pre_process'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:53:in `process'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:39:in `receive_data'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/eventmachine-1.0.7/lib/eventmachine.rb:187:in `run_machine'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/eventmachine-1.0.7/lib/eventmachine.rb:187:in `run'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/backends/base.rb:73:in `start'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/server.rb:162:in `start'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/handler/thin.rb:19:in `run'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/server.rb:286:in `start'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/railties/lib/rails/commands/server.rb:80:in `start'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/railties/lib/rails/commands/commands_tasks.rb:80:in `block in server'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/railties/lib/rails/commands/commands_tasks.rb:75:in `tap'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/railties/lib/rails/commands/commands_tasks.rb:75:in `server'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/railties/lib/rails/commands/commands_tasks.rb:39:in `run_command!'
/opt/rh/cfme-gemset/bundler/gems/rails-8f6ee25ebb3b/railties/lib/rails/commands.rb:17:in `<top (required)>'
/var/www/miq/vmdb/bin/rails:4:in `require'
/var/www/miq/vmdb/bin/rails:4:in `<main>'
Comment 3 Harpreet Kataria 2016-05-04 10:57:14 EDT
Jozef,

Can you try to recreate this, need to verify why startpage is nil here, https://github.com/ManageIQ/manageiq/blob/master/app/services/user_validation_service.rb#L57

Thanks,
~Harpreet
Comment 6 Jozef Zigmund 2016-06-01 11:16:30 EDT
The bugfix has been merged to the rubygem redhat_access_cfme as the RH Access Insights is plugin for the CFME. The bugfix will appear in next downstream release of the rubygem. For details, please contact a maintainer of the rubygem RPM package.

https://github.com/redhataccess/redhat_access_cfme/pull/1
Comment 9 Aziza Karol 2016-06-08 04:39:50 EDT
This issue is reproducible in 5.9.0.10. user is unable to login.

production.log:
6 -0400
[----] I, [2016-06-08T04:39:56.898250 #3000:77fc18]  INFO -- : Processing by DashboardController#authenticate as JS
[----] I, [2016-06-08T04:39:56.898456 #3000:77fc18]  INFO -- :   Parameters: {"user_name"=>"rhi", "user_password"=>"[FILTERED]", "browser_name"=>"Firefox", "browser_version"=>"34", "browser_os"=>"Linux", "user_TZO"=>"5.5", "button"=>"login"}
[----] W, [2016-06-08T04:39:56.900937 #3000:77fc18]  WARN -- : Can't verify CSRF token authenticity.
[----] F, [2016-06-08T04:39:56.901637 #3000:77fc18] FATAL -- : Error caught: [ActionController::InvalidAuthenticityToken] ActionController::InvalidAuthenticityToken
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/request_forgery_protection.rb:195:in `handle_unverified_request'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/request_forgery_protection.rb:223:in `handle_unverified_request'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/request_forgery_protection.rb:218:in `verify_authenticity_token'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/callbacks.rb:382:in `block in make_lambda'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/callbacks.rb:150:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/callbacks.rb:150:in `block (2 levels) in halting_and_conditional'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/abstract_controller/callbacks.rb:12:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/abstract_controller/callbacks.rb:12:in `block (2 levels) in <module:Callbacks>'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/callbacks.rb:151:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/callbacks.rb:151:in `block in halting_and_conditional'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/callbacks.rb:454:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/callbacks.rb:454:in `block in call'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/callbacks.rb:454:in `each'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/callbacks.rb:454:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/callbacks.rb:101:in `__run_callbacks__'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/callbacks.rb:750:in `_run_process_action_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/callbacks.rb:90:in `run_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/abstract_controller/callbacks.rb:19:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/rescue.rb:20:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/instrumentation.rb:32:in `block in process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/instrumentation.rb:30:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/params_wrapper.rb:248:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activerecord/lib/active_record/railties/controller_runtime.rb:18:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/abstract_controller/base.rb:126:in `process'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/rendering.rb:30:in `process'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal.rb:190:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal.rb:262:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/routing/route_set.rb:50:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/routing/route_set.rb:32:in `serve'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/journey/router.rb:39:in `block in serve'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/journey/router.rb:26:in `each'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/journey/router.rb:26:in `serve'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/routing/route_set.rb:725:in `call'
/opt/rh/cfme-gemset/gems/omniauth-1.3.1/lib/omniauth/strategy.rb:186:in `call!'
/opt/rh/cfme-gemset/gems/omniauth-1.3.1/lib/omniauth/strategy.rb:164:in `call'
/opt/rh/cfme-gemset/gems/omniauth-1.3.1/lib/omniauth/builder.rb:63:in `call'
/opt/rh/cfme-gemset/gems/secure_headers-3.0.3/lib/secure_headers/middleware.rb:10:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.0.rc1/lib/rack/etag.rb:25:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.0.rc1/lib/rack/conditional_get.rb:38:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.0.rc1/lib/rack/head.rb:12:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.0.rc1/lib/rack/session/abstract/id.rb:222:in `context'
/opt/rh/cfme-gemset/gems/rack-2.0.0.rc1/lib/rack/session/abstract/id.rb:216:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/middleware/cookies.rb:613:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/middleware/callbacks.rb:38:in `block in call'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/callbacks.rb:97:in `__run_callbacks__'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/callbacks.rb:750:in `_run_call_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/callbacks.rb:90:in `run_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/middleware/callbacks.rb:36:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/middleware/remote_ip.rb:79:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/middleware/debug_exceptions.rb:49:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/middleware/show_exceptions.rb:31:in `call'
/opt/rh/cfme-gemset/gems/railties-5.0.0.rc1/lib/rails/rack/logger.rb:36:in `call_app'
/opt/rh/cfme-gemset/gems/railties-5.0.0.rc1/lib/rails/rack/logger.rb:26:in `call'
/opt/rh/cfme-gemset/gems/request_store-1.3.1/lib/request_store/middleware.rb:9:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/middleware/request_id.rb:24:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.0.rc1/lib/rack/method_override.rb:22:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.0.rc1/lib/rack/runtime.rb:22:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/middleware/executor.rb:12:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.0.rc1/lib/rack/sendfile.rb:111:in `call'
/opt/rh/cfme-gemset/gems/railties-5.0.0.rc1/lib/rails/engine.rb:522:in `call'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/puma-3.3.0/lib/puma/configuration.rb:224:in `call'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/puma-3.3.0/lib/puma/server.rb:561:in `handle_request'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/puma-3.3.0/lib/puma/server.rb:406:in `process_client'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/puma-3.3.0/lib/puma/server.rb:271:in `block in run'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/puma-3.3.0/lib/puma/thread_pool.rb:111:in `call'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/puma-3.3.0/lib/puma/thread_pool.rb:111:in `block in spawn_thread'
/opt/rh/cfme-gemset/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in `call'
/opt/rh/cfme-gemset/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in `block in create_with_logging_context'
Comment 12 Jozef Zigmund 2016-08-29 13:36:35 EDT
Pasted from https://bugzilla.redhat.com/show_bug.cgi?id=1348642

New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/fcb9603296b94ce333e4ba670f7d8561beba6726

commit fcb9603296b94ce333e4ba670f7d8561beba6726
Author:     Jozef Zigmund <jzigmund@redhat.com>
AuthorDate: Fri Jul 8 17:17:26 2016 +0200
Commit:     Jozef Zigmund <jzigmund@redhat.com>
CommitDate: Tue Jul 19 16:27:55 2016 +0200

    Load additional miq_shortcuts definitions
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1348642

 app/models/miq_shortcut.rb | 16 +++++++++++++---
 1 file changed, 13 insertions(+), 3 deletions(-)

Read this as 'Already fixed in master branch'
Comment 13 Aziza Karol 2016-10-05 07:02:38 EDT
Able to login when the user have access to only Red Hat Insights feature.

Verified:5.7.0.3.20160927165516_075d0f3

Note You need to log in before you can comment on or make changes to this bug.